Update Password policy

Updates the Password policy settings for a specific Tenant.

PUT
/v2/manage/password-policies

Updates the Password policy settings for a specific Tenant.

Authorization

M2MBearerToken
AuthorizationBearer <token>

M2M Token for authentication

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://api.loginradius.com/v2/manage/password-policies" \  -H "Content-Type: application/json" \  -d '{}'
{
  "DictionaryPasswordValidation": true,
  "ProfileDataPasswordValidation": true,
  "ProfileDataPasswordExactMatch": false,
  "CommonPasswordPreventionValidation": true,
  "MaxPasswordHistory": 5,
  "ExpirationFrequency": 90,
  "ExpirationFrequencyType": "day",
  "PasswordValidationRules": "At least one uppercase letter, one lowercase letter, one number, and one special character"
}

{
  "ErrorCode": 1079,
  "Message": "Put body is invalid or empty",
  "Description": "Please use a valid put body in JSON format in order to process this request."
}

{
  "Message": "Access Unauthorized",
  "Description": "Access Unauthorized, please use valid authorization to access this endpoint.",
  "ErrorCode": 6002
}
{
  "Message": "User registration configuration not found",
  "Description": "The user registration configuration does not exist for this site. Please setup the configuration for user registration.",
  "ErrorCode": 7933
}
{
  "Message": "Operation failed due to an internal error.",
  "Description": "An unknown internal error occurred, please try again in a few minutes or contact your system administrator.",
  "ErrorCode": 7909
}